<section class="form-field">
  <form [formGroup]="productForm" (ngSubmit)="onSubmit(productForm)">
    <select formControlName="type">
      <option *ngFor="let type of types" [value]="type">{{ type }}</option>
    </select>

    <input type="text" placeholder="title" formControlName="title" />

    <input type="number" placeholder="price" formControlName="price" />
    <textarea
      placeholder="description"
      cols="30"
      rows="10"
      formControlName="description"
    ></textarea>
    <select formControlName="imgSelect">
      <option *ngFor="let option of imgSrc" [value]="option.src">
        {{ option.name }}
      </option>
    </select>
    <button
      type="submit"
      [disabled]="!productForm.valid"
      [ngClass]="productForm.valid ? 'enabled' : 'disabled'"
    >
      Add!
    </button>
  </form>
</section>
